import { MetaNoAuthProbeStatus } from '../meta';
import { Domain } from '../domain';
import { Probe } from '../probe';

export interface NoAuthProbe {
  id?: number;
  domain?: Domain;
  probe?: Probe;
  metaNoAuthProbeStatus?: MetaNoAuthProbeStatus;
  infraHostMeta?: string;
  tempProbeKey?: string;
  apiKey?: string;
  connectDate?: Date;
  connectAddress?: string;
  createDate?: Date;
}
